package com.ruoyi.hezhi.service;

import com.ruoyi.hezhi.domain.TbCaseType;
import com.ruoyi.hezhi.domain.vo.CaseTypeVO;

import java.util.List;

/**
 * 案例类型Service接口
 *
 * @author ruoyi
 * @date 2024-09-14
 */
public interface ITbCaseTypeService
{
    /**
     * 查询案例类型
     *
     * @param caseTypeId 案例类型主键
     * @return 案例类型
     */
    public TbCaseType selectTbCaseTypeByCaseTypeId(Long caseTypeId);

    /**
     * 查询案例类型列表
     *
     * @param tbCaseType 案例类型
     * @return 案例类型集合
     */
    public List<TbCaseType> selectTbCaseTypeList(TbCaseType tbCaseType);

    /**
     * 新增案例类型
     *
     * @param tbCaseType 案例类型
     * @return 结果
     */
    public int insertTbCaseType(TbCaseType tbCaseType);

    /**
     * 修改案例类型
     *
     * @param tbCaseType 案例类型
     * @return 结果
     */
    public int updateTbCaseType(TbCaseType tbCaseType);

    /**
     * 批量删除案例类型
     *
     * @param caseTypeIds 需要删除的案例类型主键集合
     * @return 结果
     */
    public int deleteTbCaseTypeByCaseTypeIds(Long[] caseTypeIds);

    /**
     * 删除案例类型信息
     *
     * @param caseTypeId 案例类型主键
     * @return 结果
     */
    public int deleteTbCaseTypeByCaseTypeId(Long caseTypeId);

    /**
     * 获取案例分类list
     * @return
     */
    public List<CaseTypeVO> getCaseTypeList();
}
